{
	"name": "table/common/article.json",
	"table_name": "article",
	"table_prefix": "art",
	"unique": [],
	"record_type": ["", "manual", "blog", "job-post", "ai-topic"],
	"table_name_language": {
		"": "Article",
		"manual": "Manual",
		"blog": "Blog",
		"job-post": "Job post",
		"ai-topic": "AI Topic"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "title_id",
			"order": ">"
		}
	],
	"calculated_field": [],
	"field": [
		{
			"field_name": "title_id",
			"field_type": "varchar",
			"field_length": 160,
			"constraint": ["unique"],
			"not_allowed_value": [""]
		},
		{
			"field_name": "article_status",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "planned_publish_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "actual_publish_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "content",
			"field_type": "text"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.summary",
			"field_type": "text"
		}
	]
}
